##############################################################################
#                                                                            #
#                              Generic utilities                             #
#                                                                            #
##############################################################################

# Here we just load the recipe utilities from either
# the platform "scripts" directory or the current directory
if [ -z "$script_lib_dir" ]; then
	script_lib_dir="${BASH_SOURCE%/*}"
fi

if [ -r "$PLATFORM_LOC/scripts/recipe_utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/recipe_utils.sh"
else
	source "$script_lib_dir/recipe_utils.sh"
fi

# Record myself as a loaded script (may be filtered out if in the plugin)
record_script_load
